# TensorFlow

TensorFlow is an open-source software library for machine intelligence.

## TensorFlow modules

Salomon provides three different TensorFlow modules:

 * Tensorflow/1.1.0
 * Tensorflow/1.2.0-GCC-7.1.0-2.28
 * Tensorflow/1.2.0-intel-2017.05-mkl

### Tensorflow/1.1.0 (not recommended)

TensorFlow 1.1 build.

```console

$ ml Tensorflow/1.1.0
```

This module was built with:

 * GCC/4.9.3
 * Python/3.6.1

### Tensorflow/1.2.0-GCC-7.1.0-2.28 (default, recommended)

TensorFlow 1.2 with SIMD support. TensorFlow build taking advantage of the Salomon CPU architecture.

```console

$ ml Tensorflow/1.2.0-GCC-7.1.0-2.28
```

This module was built with:

 * GCC/7.1.0-2.28
 * Python/3.6.1
 * protobuf/3.2.0-GCC-7.1.0-2.28-Python-3.6.1

### Tensorflow/1.2.0-intel-2017.05-mkl

TensorFlow 1.2 with MKL support.

```console

$ ml Tensorflow/1.2.0-intel-2017.05-mkl
```

This module was built with:

 * icc/2017.4.196-GCC-7.1.0-2.28
 * Python/3.6.1
 * protobuf/3.2.0-GCC-7.1.0-2.28-Python-3.6.1

## TensorFlow application example

After loading one of the available TensorFlow modules, you can check the functionality running the following python script.

```python

import tensorflow as tf

c = tf.constant('Hello World!')
sess = tf.Session()
print(sess.run(c))
```
